hstr
====
Easily view, navigate, search and use your command history with shell history suggest box for Bash and
[Zsh](CONFIGURATION.md#zsh-history-settings).

[![Shell History Suggest Box](http://mindforger.com/projects/images/hh-animated-01.gif "Shell History Suggest Box @ YouTube")](http://www.youtube.com/watch?v=sPF29NyXe2U)


DESCRIPTION
-----------
Are you looking for a command that you used **recently**? Do you
want to  avoid the need to write **long commands** over and over
again despite you used them recently? Are you looking
for a tool that is able to manage your **favorite** commands?

HSTR is a command line utility that brings improved Bash command completion
from the history. It aims to make completion **easier** and more **efficient**
than <kbd>Ctrl-r</kbd>.

Apart to the completion, history can be **managed** (you can remove
commands that e.g. contain sensitive information like
passwords) and bookmark your favorite commands.

Enjoy [video](http://www.youtube.com/watch?v=sPF29NyXe2U) tutorial.


INSTALLATION
------------
Install HSTR:
* download [distribution](INSTALLATION.md#distribution-installation)
* build from [source code](INSTALLATION.md#installation-from-source-code)
* [Ubuntu](INSTALLATION.md#ubuntu)
* [Fedora](INSTALLATION.md#fedorarhelcentos)
* [Gentoo](INSTALLATION.md#gentoo)
* [CentOS](INSTALLATION.md#fedorarhelcentos)
* [RHEL](INSTALLATION.md#fedorarhelcentos)
* [Debian](INSTALLATION.md#debianmint)
* [Mint](INSTALLATION.md#debianmint)
* [Arch Linux](INSTALLATION.md#arch-linux)
* [Scientific Linux](INSTALLATION.md#fedorarhelcentos)
* [Mac OS](INSTALLATION.md#mac-os)


CONFIGURATION
-------------
Optionally configure HSTR just by running:
```bash
hh --show-configuration >> ~/.bashrc
```
For detailed `hh` configuration documentation please refer to [Configuration](CONFIGURATION.md).


DOCUMENTATION
-------------
Check `hh` man page:
```bash
man hh
```


BUGS
----
https://github.com/dvorka/hstr/issues
